<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>IB User List</title>
    <script src="https://cdn.tailwindcss.com"></script>
    <script src="https://kit.fontawesome.com/a076d05399.js" crossorigin="anonymous"></script>
</head>
<body class="bg-gray-100">
<?php include "header.php";?>
    <div class="flex flex-col md:flex-row h-screen">
        <!-- Sidebar -->
        <?php include "side_bar.php";?>

        <!-- Main Content -->
        <main class="flex-1 p-6 md:ml-64">
            <!-- Top Navigation -->
            <div class="flex justify-between items-center bg-white shadow p-2 rounded-lg mb-6">
                <h2 class="text-xl font-semibold text-gray-700">IB User List</h2>
            </div>

            <!-- Table Section -->
            <div class="container mx-auto p-6 bg-white shadow-md rounded-lg">
                <h2 class="text-2xl font-bold text-gray-700 mb-4">Introducing Brokers</h2>

                <div class="overflow-x-auto">
                    <table class="min-w-full bg-white border border-gray-300 rounded-md">
                        <thead>
                            <tr class="bg-blue-500 text-white">
                                <th class="p-2 border">ID</th>
                                <th class="p-2 border">Name</th>
                                <th class="p-2 border">Email</th>
                                <th class="p-2 border">Phone</th>
                                <th class="p-2 border">Country</th>
                                <th class="p-2 border">IB Name</th>
                                <th class="p-2 border">Total Commission</th>
                                <th class="p-2 border">Available Commission</th>
                                <th class="p-2 border">Referral Link</th>
                                <th class="p-2 border">Marketing Name</th>
                                <th class="p-2 border">Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            <!-- Sample Data -->
                            <?php
                            $ib_users = [
                                ["id" => 1, "name" => "John Doe", "email" => "john@example.com", "phone" => "123-456-7890", "country" => "USA", "ib_name" => "John IB", "total_commission" => "$2000", "available_commission" => "$500", "referral_link" => "https://example.com/ref123", "marketing_name" => "John's Market"],
                                ["id" => 2, "name" => "Alice Smith", "email" => "alice@example.com", "phone" => "987-654-3210", "country" => "UK", "ib_name" => "Alice IB", "total_commission" => "$3500", "available_commission" => "$1200", "referral_link" => "https://example.com/ref456", "marketing_name" => "Alice's Ads"],
                                ["id" => 3, "name" => "Robert Brown", "email" => "robert@example.com", "phone" => "555-444-3333", "country" => "Canada", "ib_name" => "Robert IB", "total_commission" => "$4500", "available_commission" => "$2300", "referral_link" => "https://example.com/ref789", "marketing_name" => "Robert's Growth"]
                            ];

                            foreach ($ib_users as $user) {
                                echo "<tr class='text-center border-b hover:bg-gray-100'>";
                                echo "<td class='p-2 border'>{$user['id']}</td>";
                                echo "<td class='p-2 border'>{$user['name']}</td>";
                                echo "<td class='p-2 border'>{$user['email']}</td>";
                                echo "<td class='p-2 border'>{$user['phone']}</td>";
                                echo "<td class='p-2 border'>{$user['country']}</td>";
                                echo "<td class='p-2 border'>{$user['ib_name']}</td>";
                                echo "<td class='p-2 border text-green-600 font-semibold'>{$user['total_commission']}</td>";
                                echo "<td class='p-2 border text-blue-600 font-semibold'>{$user['available_commission']}</td>";
                                echo "<td class='p-2 border'><a href='{$user['referral_link']}' class='text-blue-500 underline' target='_blank'>Referral</a></td>";
                                echo "<td class='p-2 border'>{$user['marketing_name']}</td>";
                                echo "<td class='p-2 border'>";
                                echo "<button class='bg-blue-600 text-white px-3 py-1 rounded hover:bg-blue-700 transition'><i class='fas fa-edit'></i> Edit</button> ";
                                echo "<button class='bg-red-600 text-white px-3 py-1 rounded hover:bg-red-700 transition'><i class='fas fa-trash'></i> Delete</button>";
                                echo "</td>";
                                echo "</tr>";
                            }
                            ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </main>
    </div>

    <!-- Footer -->
    <?php include "footer.php";?>

</body>
</html>
