<?php
// Database connection (replace with your own database connection details)
$servername = "localhost";
$username = "root";
$password = "";
$dbname = "your_database";

$conn = new mysqli($servername, $username, $password, $dbname);

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// Fetch all marketing users
$sql = "SELECT * FROM marketing_users";
$result = $conn->query($sql);
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Marketing Users List</title>
    <link href="https://cdn.jsdelivr.net/npm/tailwindcss@2.2.19/dist/tailwind.min.css" rel="stylesheet">
</head>
<body class="bg-gray-100">
<?php include "header.php";?>
    <div class="flex h-screen">
        <!-- Sidebar -->
        <?php include "side_bar.php";?>
        
        <!-- Main Content -->
        <main class="flex-1 p-6 ml-64">
            <!-- Top Navigation -->
              <div class="container mx-auto mt-10">
        <h1 class="text-3xl font-bold text-center mb-6">Marketing Users List</h1>

        <!-- Table to display Marketing Users -->
<table class="min-w-full bg-white border border-gray-300 rounded-lg shadow-md">
    <thead>
        <tr class="bg-gray-200 text-gray-700">
            <th class="px-6 py-3 text-left">Name</th>
            <th class="px-6 py-3 text-left">Email</th>
            <th class="px-6 py-3 text-left">Wallet Balance</th>
            <th class="px-6 py-3 text-left">Incentive (%)</th>
            <th class="px-6 py-3 text-left">Net Deposit (Monthly)</th>
            <th class="px-6 py-3 text-left">Total Clients</th>
            <th class="px-6 py-3 text-left">Total Deposits</th>
            <th class="px-6 py-3 text-left">Total Withdrawal</th>
            <th class="px-6 py-3 text-left">Password</th>
            <th class="px-6 py-3 text-left">Role</th>
            <th class="px-6 py-3 text-left">Manager Name</th>
            <th class="px-6 py-3 text-left">Action</th>
        </tr>
    </thead>
    <tbody>
        <?php if ($result->num_rows > 0) : ?>
            <?php while ($row = $result->fetch_assoc()) : ?>
                <tr class="border-b border-gray-200">
                    <td class="px-6 py-3"><?php echo $row['name']; ?></td>
                    <td class="px-6 py-3"><?php echo $row['email']; ?></td>
                    <td class="px-6 py-3"><?php echo $row['wallet_balance']; ?></td>
                    <td class="px-6 py-3"><?php echo $row['incentive']; ?>%</td>
                    <td class="px-6 py-3"><?php echo $row['net_deposit']; ?></td>
                    <td class="px-6 py-3"><?php echo $row['total_clients']; ?></td>
                    <td class="px-6 py-3"><?php echo $row['total_deposits']; ?></td>
                    <td class="px-6 py-3"><?php echo $row['total_withdrawal']; ?></td>
                    <td class="px-6 py-3"><?php echo $row['password']; ?></td>
                    <td class="px-6 py-3"><?php echo $row['role']; ?></td>
                    <td class="px-6 py-3"><?php echo $row['manager_name']; ?></td>
                    <td class="px-6 py-3">
                        <!-- Action buttons for Edit and Delete -->
                        <a href="edit_marketing.php?id=<?php echo $row['id']; ?>" class="text-blue-600 hover:text-blue-800">Edit</a>
                        <span class="mx-2">|</span>
                        <a href="delete_marketing.php?id=<?php echo $row['id']; ?>" class="text-red-600 hover:text-red-800">Delete</a>
                    </td>
                </tr>
            <?php endwhile; ?>
        <?php else : ?>
            <tr>
                <td colspan="12" class="text-center py-4">No marketing users found.</td>
            </tr>
        <?php endif; ?>
    </tbody>
</table>

        <!-- Option to add a new marketing user -->
        <div class="mt-6 text-center">
            <a href="add_marketing.php" class="py-2 px-4 bg-blue-600 text-white rounded-md shadow-md hover:bg-blue-700 transition duration-300">Add New Marketing User</a>
        </div>
    </div>
<?php include "footer.php";?>
</main></div>
</body>
</html>

<?php
// Close the connection
$conn->close();
?>
