<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Transactions</title>
    <script src="https://cdn.tailwindcss.com"></script>
</head>
<body class="bg-gray-100">
    <div class="flex h-screen">
        <!-- Sidebar -->
        <aside class="w-64 bg-white shadow-md p-4">
            <h1 class="text-xl font-bold text-orange-600">TECHYSQUAD</h1>
            <nav class="mt-4">
                <ul>
                    <li class="py-2"><a href="dashboard.php" class="text-gray-700">Dashboard</a></li>
                    <li class="py-2"><a href="user_management.php" class="text-gray-700">User Management</a></li>
                    <li class="py-2"><a href="transactions.php" class="text-gray-700 font-bold">Transactions</a></li>
                    <li class="py-2"><a href="marketing.php" class="text-gray-700">Marketing</a></li>
                </ul>
            </nav>
        </aside>
        
        <!-- Main Content -->
        <main class="flex-1 p-6">
            <h2 class="text-2xl font-bold">Transactions</h2>
            <div class="mt-6 bg-white p-4 shadow rounded-lg">
                <table class="w-full border-collapse border border-gray-300">
                    <thead>
                        <tr class="bg-gray-200">
                            <th class="border p-2">Transaction ID</th>
                            <th class="border p-2">User</th>
                            <th class="border p-2">Amount</th>
                            <th class="border p-2">Status</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php 
                        $transactions = [
                            ['id' => 101, 'user' => 'John Doe', 'amount' => '$500', 'status' => 'Completed'],
                            ['id' => 102, 'user' => 'Jane Smith', 'amount' => '$1200', 'status' => 'Pending']
                        ];
                        foreach ($transactions as $transaction) {
                            echo "<tr class='text-center'>
                                    <td class='border p-2'>{$transaction['id']}</td>
                                    <td class='border p-2'>{$transaction['user']}</td>
                                    <td class='border p-2'>{$transaction['amount']}</td>
                                    <td class='border p-2'>{$transaction['status']}</td>
                                  </tr>";
                        }
                        ?>
                    </tbody>
                </table>
            </div>
        </main>
    </div>
</body>
</html>
