<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Account List</title>
    <script src="https://cdn.tailwindcss.com"></script>
    <style>
        /* Modal Styles */
        .modal {
            display: none;
            position: fixed;
            top: 0;
            left: 100px;
            width: 100%;
            height: 100%;
            background-color: rgba(0, 0, 0, 0.5);
            justify-content: center;
            align-items: center;
        }
        .modal-content {
            background-color: white;
            padding: 20px;
            border-radius: 8px;
            width: 80%;
            max-width: 800px;
        }
        .modal-header {
            font-size: 20px;
            font-weight: bold;
            margin-bottom: 15px;
        }
        .modal-body {
            display: grid;
            grid-template-columns: repeat(2, 1fr); /* Two columns */
            gap: 15px;
        }
        .modal-footer {
            text-align: right;
            margin-top: 20px;
        }
        .close-btn {
            background-color: #CD7F32;
            color: white;
            padding: 8px 16px;
            border-radius: 5px;
            cursor: pointer;
        }
        .modal-body p {
            margin: 0;
        }
    </style>
</head>
<body class="bg-gray-100">
    <?php include "header.php";?>
    <div class="flex h-screen">
        <!-- Sidebar -->
        <?php include "side_bar.php";?>
        
        <!-- Main Content -->
        <main class="flex-1 p-6 ml-64">
            <!-- Top Navigation -->
            <div class="container mx-auto p-6">
                <h2 class="text-2xl font-bold text-gray-700 mb-4">Account List</h2>

                <table class="min-w-full bg-white border border-gray-300 rounded-md">
                    <thead>
                        <tr>
                            <th class="p-4 border-b">Serial No.</th>
                            <th class="p-4 border-b">MT5 ID</th>
                            <th class="p-4 border-b">Account Type</th>
                            <th class="p-4 border-b">Name</th>
                            <th class="p-4 border-b">Date</th>
                            <th class="p-4 border-b">Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        <!-- Dynamically populate rows using PHP -->
                        <tr>
                            <td class="p-4">1</td>
                            <td class="p-4">12345678</td>
                            <td class="p-4">Standard</td>
                            <td class="p-4">John Doe</td>
                            <td class="p-4">2025-01-28</td>
                           <td class="p-4 ">
    <a href="javascript:void(0)" onclick="openModal(2)" class="text-white bg-[#CD7F32] hover:bg-blue-700 text-center py-2 px-4 rounded-md inline-block">View</a>
</td>

                        </tr>
                        <tr>
                            <td class="p-4">2</td>
                            <td class="p-4">23456789</td>
                            <td class="p-4">Mini</td>
                            <td class="p-4">Jane Smith</td>
                            <td class="p-4">2025-02-02</td>
                           <td class="p-4">
    <a href="javascript:void(0)" onclick="openModal(2)" class="text-white bg-[#CD7F32] hover:bg-blue-700 text-center py-2 px-4 rounded-md inline-block">View</a>
</td>

                        </tr>
                    </tbody>
                </table>
            </div>
        </main>
    </div>

    <!-- Footer -->
    <?php include "footer.php";?>

    <!-- Modal -->
    <div id="viewModal" class="modal">
        <div class="modal-content">
            <div class="modal-header">Account Details</div>
            <div id="modalBody" class="modal-body">
                <!-- Dynamic account details will be shown here -->
            </div>
            <div class="modal-footer">
                <button class="close-btn" onclick="closeModal()">Close</button>
            </div>
        </div>
    </div>

    <script>
        // Open modal with dynamic data
        function openModal(accountId) {
            let modalBody = document.getElementById('modalBody');
            
            // Dummy data for the modal
            let accountData = {
                1: {
                    loginId: '12345678',
                    balance: '$5000',
                    credit: '$1000',
                    margin: '$200',
                    currencyDigits: '2',
                    marginLeverage: '1:100',
                    profit: '$500',
                    equity: '$5500',
                    createdAt: '2025-01-28',
                    leverage: '1:100',
                    assets: '$10000',
                    equityPerDay: '$50'
                },
                2: {
                    loginId: '23456789',
                    balance: '$2000',
                    credit: '$500',
                    margin: '$100',
                    currencyDigits: '2',
                    marginLeverage: '1:50',
                    profit: '$200',
                    equity: '$2200',
                    createdAt: '2025-02-02',
                    leverage: '1:50',
                    assets: '$8000',
                    equityPerDay: '$30'
                }
            };

            let account = accountData[accountId];

            modalBody.innerHTML = `
                <p><strong>Login ID:</strong> ${account.loginId}</p>
                <p><strong>Balance:</strong> ${account.balance}</p>
                <p><strong>Credit:</strong> ${account.credit}</p>
                <p><strong>Margin:</strong> ${account.margin}</p>
                <p><strong>Currency Digits:</strong> ${account.currencyDigits}</p>
                <p><strong>Margin Leverage:</strong> ${account.marginLeverage}</p>
                <p><strong>Profit:</strong> ${account.profit}</p>
                <p><strong>Equity:</strong> ${account.equity}</p>
                <p><strong>Created At:</strong> ${account.createdAt}</p>
                <p><strong>Leverage:</strong> ${account.leverage}</p>
                <p><strong>Assets:</strong> ${account.assets}</p>
                <p><strong>Equity Per Day:</strong> ${account.equityPerDay}</p>
            `;

            // Display modal
            document.getElementById('viewModal').style.display = 'flex';
        }

        // Close the modal
        function closeModal() {
            document.getElementById('viewModal').style.display = 'none';
        }
    </script>
</body>
</html>
