<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Internal Transfer</title>
    <link href="https://cdn.jsdelivr.net/npm/tailwindcss@2.2.19/dist/tailwind.min.css" rel="stylesheet">
</head>
<body class="bg-gray-50">
<?php include "header.php"; ?>
<div class="flex h-screen">
    <?php include "side_bar.php"; ?>

    <main class="flex-1 p-8 ml-64">
        <div class="flex items-center justify-center min-h-screen bg-gray-50">
            <div class="container mx-auto">
                <h1 class="text-4xl font-bold text-center mb-6 text-[#CD7F32]">Internal Transfer</h1>

                <!-- Transfer Form -->
                <form action="process_internal_transfer.php" method="POST" class="max-w-3xl mx-auto bg-white p-10 rounded-lg shadow-xl border border-gray-200">
                    
                    <div class="grid grid-cols-1 md:grid-cols-2 gap-6">
                        <!-- From Account -->
                        <div>
                            <label for="from_account" class="block text-[#CD7F32] text-lg font-semibold uppercase tracking-wide mb-2">From Account:</label>
                            <select id="from_account" name="from_account" class="w-full px-4 py-3 border border-gray-300 rounded-lg focus:ring-2 focus:ring-[#CD7F32]" required>
                                <option value="">-- Select From Account --</option>
                                <!-- PHP to populate account options dynamically -->
                                <?php foreach ($accounts as $id => $name): ?>
                                    <option value="<?php echo $id; ?>"><?php echo $name; ?></option>
                                <?php endforeach; ?>
                            </select>
                        </div>

                        <!-- To Account -->
                        <div>
                            <label for="to_account" class="block text-[#CD7F32] text-lg font-semibold uppercase tracking-wide mb-2">To Account:</label>
                            <select id="to_account" name="to_account" class="w-full px-4 py-3 border border-gray-300 rounded-lg focus:ring-2 focus:ring-[#CD7F32]" required>
                                <option value="">-- Select To Account --</option>
                                <!-- PHP to populate account options dynamically -->
                                <?php foreach ($accounts as $id => $name): ?>
                                    <option value="<?php echo $id; ?>"><?php echo $name; ?></option>
                                <?php endforeach; ?>
                            </select>
                        </div>

                        <!-- Amount -->
                        <div>
                            <label for="amount" class="block text-[#CD7F32] text-lg font-semibold uppercase tracking-wide mb-2">Amount:</label>
                            <input type="number" id="amount" name="amount" class="w-full px-4 py-3 border border-gray-300 rounded-lg focus:ring-2 focus:ring-[#CD7F32]" required placeholder="Enter transfer amount" min="1">
                        </div>
                    </div>

                    <!-- Submit Button -->
                    <div class="mt-8 text-center">
                        <button type="submit" class="w-full md:w-auto px-6 py-3 bg-[#CD7F32] text-white font-semibold rounded-lg shadow-md hover:bg-green-700 transition duration-300">
                            Submit Transfer
                        </button>
                    </div>
                </form>
            </div>
        </div>
    </main><?php include "footer.php";?>
</div>
</body>
</html>
