<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Client Tree Chart</title>
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <style>
        body {
            font-family: Arial, sans-serif;
            background-color: #f4f4f4;
            text-align: center;
            margin: 0;
            padding: 20px;
        }
        .tree {
            display: flex;
            justify-content: center;
            align-items: center;
            flex-direction: column;
            position: relative;
            overflow-x: auto;
            padding-bottom: 50px;
        }
        .tree ul {
            padding: 0;
            margin: 0;
            list-style: none;
            text-align: center;
            position: relative;
            display: flex;
            flex-direction: column;
            align-items: center;
        }
        .tree ul::before {
            content: '';
            position: absolute;
            top: 0;
            left: 50%;
            border-left: 2px solid black;
            width: 0;
            height: 20px;
        }
        .tree li {
            display: flex;
            flex-direction: column;
            align-items: center;
            position: relative;
            padding: 30px 10px 0 10px;
        }
        .tree li::before, .tree li::after {
            content: '';
            position: absolute;
            top: 0;
            border-top: 2px solid black;
            width: 50%;
            height: 30px;
        }
        .tree li::after {
            left: 50%;
            border-left: 2px solid black;
        }
        .tree li:first-child::before, .tree li:last-child::after {
            border: 0;
        }
        .node {
            background: #007bff;
            color: white;
            padding: 15px 25px;
            border-radius: 8px;
            cursor: pointer;
            position: relative;
            text-align: center;
            display: inline-block;
            box-shadow: 2px 2px 10px rgba(0, 0, 0, 0.2);
        }
        .popup {
            display: none;
            position: fixed;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
            background: white;
            color: black;
            padding: 20px;
            border-radius: 10px;
            box-shadow: 0 0 15px rgba(0, 0, 0, 0.3);
            width: 300px;
            z-index: 1000;
        }
        .popup .close {
            cursor: pointer;
            color: red;
            float: right;
            font-size: 20px;
        }
    </style>
</head>
<body class="bg-gray-100">
<?php include "header.php";?>
    <div class="flex flex-col md:flex-row h-screen">
        <!-- Sidebar -->
        <?php include "side_bar.php";?>

        <!-- Main Content -->
        <main class="flex-1 p-6 md:ml-64">
    <!-- Top Navigation -->
    <h2>Client Tree Chart</h2>
    <div class="tree">
        <ul>
            <li>
                <div class="node" data-details="Name: Techysquad<br>Email: info@techysquad.com<br>Phone: +91 9888493546">Client Level 1</div>
                <ul>
                    <li>
                        <div class="node" data-details="Name: Support TS<br>Email: support@techysquad.com<br>Phone: +91 9888493540">Client Level 2</div>
                        <ul>
                            <li>
                                <div class="node" data-details="Name: User Three<br>Email: user3@example.com<br>Phone: 09876123456">Client Level 4</div>
                            </li>
                            <li>
                                <div class="node" data-details="Name: User Four<br>Email: user4@example.com<br>Phone: 09876543210">Client Level 5</div>
                            </li>
                        </ul>
                    </li>
                    <li>
                        <div class="node" data-details="Name: User Two<br>Email: user2@example.com<br>Phone: 09876643211">Client Level 3</div>
                        <ul>
                            <li>
                                <div class="node" data-details="Name: User Five<br>Email: user5@example.com<br>Phone: 09876543212">Client Level 6</div>
                            </li>
                            <li>
                                <div class="node" data-details="Name: User Six<br>Email: user6@example.com<br>Phone: 09876543213">Client Level 7</div>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div><br><br><br></main>
    <?php include "footer.php";?>
    </div>
    <div class="popup" id="popup">
        <span class="close" onclick="closePopup()">&times;</span>
        <p id="popup-content"></p>
    </div>
    <script>
        $(document).ready(function() {
            $('.node').on('click', function(event) {
                event.stopPropagation();
                let details = $(this).attr('data-details');
                $('#popup-content').html(details);
                $('#popup').fadeIn();
            });
        });
        function closePopup() {
            $('#popup').fadeOut();
        }
        $(document).on('click', function(event) {
            if (!$(event.target).closest('.popup, .node').length) {
                closePopup();
            }
        });
    </script>
</body>
</html>
